<!--
*Author：jxx
 *Contact：283591387@qq.com
 *代码由框架生成,任何更改都可能导致被代码生成器覆盖
 *业务请在@/extension/widesea_wms/invoices/Dt_InboundOrder.js此处编写
 -->
<template>
    <view-grid ref="grid" :columns="columns" :detail="detail" :editFormFields="editFormFields"
        :editFormOptions="editFormOptions" :searchFormFields="searchFormFields" :searchFormOptions="searchFormOptions"
        :table="table" :extend="extend">
    </view-grid>
</template>
<script>
import extend from "@/extension/widesea_wms/stock/Dt_Stock.js";
import { ref, defineComponent } from "vue";
export default defineComponent({
    setup() {
        const table = ref({
            key: 'id',
            footer: "Foots",
            cnName: '库存信息',
            name: 'stock/Dt_Stock',
            url: "/DtStockInfo/",
            sortName: "id"
        });
        const editFormFields = ref({
            "palletCode": "",
        });
        const editFormOptions = ref([
            [
                { "title": "托盘条码", "field": "palletCode", type: "text" },
                
            ]
        ]);
        const searchFormFields = ref({});
        const searchFormOptions = ref([
            [
                { "title": "托盘条码", "field": "palletCode", type: "text" },
                { "title": "库位号", "field": "locationCode", type: "text" },
            ]
        ]);
        const columns = ref( [{ field: 'id', title: '库存ID', type: 'int', width: 110, hidden: true, readonly: true, require: true, align: 'left' },
            { field: 'locationCode', title: '库位', type: 'string', width: 100, align: 'left', },
            { field: 'palletCode', title: '托盘条码', type: 'string', width: 110, align: 'left', },
            { field: 'creater', title: '创建人', type: 'string', sort: true, width: 110, align: 'left', hidden: true },
            { field: 'createDate', title: '创建时间', type: 'datetime', sort: true, width: 150, align: 'left', },
            { field: 'modifier', title: '最后修改人', type: 'string', sort: true, width: 100, hidden: true, align: 'left' },
            { field: 'modifyDate', title: '最后修改时间', type: 'datetime', sort: true, width: 150, hidden: true, align: 'left', sort: true },
            ]);

        const detail = ref({
            cnName: "组盘明细信息",
            table: "DtBoxingInfoDetail",
            columns: [
                { title: "电芯序列号", field: "serialNumber", type: "text"},
                { title: "物料编号", field: "materielCode",type: "text" },
                { title: "物料名称", field: "materielName", type: "text" },
                { title: "库存状态", field: "status", type: "text" },
                { title: "组盘数量", field: "stockQuantity", type: "text" },
                { title: "创建时间", field: "createDate", type: "text" },
            ],
            sortName: "id",
            key: "BoxingInfoId"
        });
        return {
            table,
            extend,
            editFormFields,
            editFormOptions,
            searchFormFields,
            searchFormOptions,
            columns,
            detail,
        };
    },
});
</script>
